# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from ...lo.text.accessible_endnote_view import AccessibleEndnoteView as AccessibleEndnoteView
from ...lo.text.accessible_footnote_view import AccessibleFootnoteView as AccessibleFootnoteView
from ...lo.text.accessible_header_footer_view import AccessibleHeaderFooterView as AccessibleHeaderFooterView
from ...lo.text.accessible_page_view import AccessiblePageView as AccessiblePageView
from ...lo.text.accessible_paragraph_view import AccessibleParagraphView as AccessibleParagraphView
from ...lo.text.accessible_text_document_page_view import AccessibleTextDocumentPageView as AccessibleTextDocumentPageView
from ...lo.text.accessible_text_document_view import AccessibleTextDocumentView as AccessibleTextDocumentView
from ...lo.text.accessible_text_embedded_object import AccessibleTextEmbeddedObject as AccessibleTextEmbeddedObject
from ...lo.text.accessible_text_frame_view import AccessibleTextFrameView as AccessibleTextFrameView
from ...lo.text.accessible_text_graphic_object import AccessibleTextGraphicObject as AccessibleTextGraphicObject
from ...lo.text.author_display_format import AuthorDisplayFormat as AuthorDisplayFormat
from ...lo.text.auto_text_container import AutoTextContainer as AutoTextContainer
from ...lo.text.auto_text_entry import AutoTextEntry as AutoTextEntry
from ...lo.text.auto_text_group import AutoTextGroup as AutoTextGroup
from ...lo.text.base_frame import BaseFrame as BaseFrame
from ...lo.text.base_frame_properties import BaseFrameProperties as BaseFrameProperties
from ...lo.text.base_index import BaseIndex as BaseIndex
from ...lo.text.base_index_mark import BaseIndexMark as BaseIndexMark
from ...lo.text.bibliography import Bibliography as Bibliography
from ...lo.text.bibliography_data_field import BibliographyDataField as BibliographyDataField
from ...lo.text.bibliography_data_type import BibliographyDataType as BibliographyDataType
from ...lo.text.bookmark import Bookmark as Bookmark
from ...lo.text.bookmarks import Bookmarks as Bookmarks
from ...lo.text.cell import Cell as Cell
from ...lo.text.cell_properties import CellProperties as CellProperties
from ...lo.text.cell_range import CellRange as CellRange
from ...lo.text.chained_text_frame import ChainedTextFrame as ChainedTextFrame
from ...lo.text.chapter_format import ChapterFormat as ChapterFormat
from ...lo.text.chapter_numbering_rule import ChapterNumberingRule as ChapterNumberingRule
from ...lo.text.character_compression_type import CharacterCompressionType as CharacterCompressionType
from ...lo.text.column_separator_style import ColumnSeparatorStyle as ColumnSeparatorStyle
from ...lo.text.content_index import ContentIndex as ContentIndex
from ...lo.text.content_index_mark import ContentIndexMark as ContentIndexMark
from ...lo.text.control_character import ControlCharacter as ControlCharacter
from ...lo.text.date_display_format import DateDisplayFormat as DateDisplayFormat
from ...lo.text.default_numbering_provider import DefaultNumberingProvider as DefaultNumberingProvider
from ...lo.text.defaults import Defaults as Defaults
from ...lo.text.dependent_text_field import DependentTextField as DependentTextField
from ...lo.text.document_index import DocumentIndex as DocumentIndex
from ...lo.text.document_index_level_format import DocumentIndexLevelFormat as DocumentIndexLevelFormat
from ...lo.text.document_index_mark import DocumentIndexMark as DocumentIndexMark
from ...lo.text.document_index_mark_asian import DocumentIndexMarkAsian as DocumentIndexMarkAsian
from ...lo.text.document_index_paragraph_styles import DocumentIndexParagraphStyles as DocumentIndexParagraphStyles
from ...lo.text.document_indexes import DocumentIndexes as DocumentIndexes
from ...lo.text.document_settings import DocumentSettings as DocumentSettings
from ...lo.text.document_statistic import DocumentStatistic as DocumentStatistic
from ...lo.text.endnote import Endnote as Endnote
from ...lo.text.endnote_settings import EndnoteSettings as EndnoteSettings
from ...lo.text.filename_display_format import FilenameDisplayFormat as FilenameDisplayFormat
from ...lo.text.font_emphasis import FontEmphasis as FontEmphasis
from ...lo.text.font_relief import FontRelief as FontRelief
from ...lo.text.footnote import Footnote as Footnote
from ...lo.text.footnote_numbering import FootnoteNumbering as FootnoteNumbering
from ...lo.text.footnote_settings import FootnoteSettings as FootnoteSettings
from ...lo.text.footnotes import Footnotes as Footnotes
from ...lo.text.generic_text_document import GenericTextDocument as GenericTextDocument
from ...lo.text.global_document import GlobalDocument as GlobalDocument
from ...lo.text.global_settings import GlobalSettings as GlobalSettings
from ...lo.text.graphic_crop import GraphicCrop as GraphicCrop
from ...lo.text.hori_orientation import HoriOrientation as HoriOrientation
from ...lo.text.hori_orientation_format import HoriOrientationFormat as HoriOrientationFormat
from ...lo.text.horizontal_adjust import HorizontalAdjust as HorizontalAdjust
from ...lo.text.illustrations_index import IllustrationsIndex as IllustrationsIndex
from ...lo.text.in_content_metadata import InContentMetadata as InContentMetadata
from ...lo.text.invalid_text_content_exception import InvalidTextContentException as InvalidTextContentException
from ...lo.text.label_follow import LabelFollow as LabelFollow
from ...lo.text.line_numbering_properties import LineNumberingProperties as LineNumberingProperties
from ...lo.text.mail_merge import MailMerge as MailMerge
from ...lo.text.mail_merge_event import MailMergeEvent as MailMergeEvent
from ...lo.text.mail_merge_type import MailMergeType as MailMergeType
from ...lo.text.module_dispatcher import ModuleDispatcher as ModuleDispatcher
from ...lo.text.note_print_mode import NotePrintMode as NotePrintMode
from ...lo.text.numbering_level import NumberingLevel as NumberingLevel
from ...lo.text.numbering_rules import NumberingRules as NumberingRules
from ...lo.text.numbering_style import NumberingStyle as NumberingStyle
from ...lo.text.object_index import ObjectIndex as ObjectIndex
from ...lo.text.page_footnote_info import PageFootnoteInfo as PageFootnoteInfo
from ...lo.text.page_number_type import PageNumberType as PageNumberType
from ...lo.text.page_print_settings import PagePrintSettings as PagePrintSettings
from ...lo.text.paragraph import Paragraph as Paragraph
from ...lo.text.paragraph_enumeration import ParagraphEnumeration as ParagraphEnumeration
from ...lo.text.paragraph_vert_align import ParagraphVertAlign as ParagraphVertAlign
from ...lo.text.placeholder_type import PlaceholderType as PlaceholderType
from ...lo.text.position_and_space_mode import PositionAndSpaceMode as PositionAndSpaceMode
from ...lo.text.position_layout_dir import PositionLayoutDir as PositionLayoutDir
from ...lo.text.print_settings import PrintSettings as PrintSettings
from ...lo.text.redline_portion import RedlinePortion as RedlinePortion
from ...lo.text.reference_field_part import ReferenceFieldPart as ReferenceFieldPart
from ...lo.text.reference_field_source import ReferenceFieldSource as ReferenceFieldSource
from ...lo.text.reference_mark import ReferenceMark as ReferenceMark
from ...lo.text.reference_marks import ReferenceMarks as ReferenceMarks
from ...lo.text.rel_orientation import RelOrientation as RelOrientation
from ...lo.text.ruby_adjust import RubyAdjust as RubyAdjust
from ...lo.text.ruby_position import RubyPosition as RubyPosition
from ...lo.text.section_file_link import SectionFileLink as SectionFileLink
from ...lo.text.set_variable_type import SetVariableType as SetVariableType
from ...lo.text.shape import Shape as Shape
from ...lo.text.size_type import SizeType as SizeType
from ...lo.text.table_column_separator import TableColumnSeparator as TableColumnSeparator
from ...lo.text.table_columns import TableColumns as TableColumns
from ...lo.text.table_index import TableIndex as TableIndex
from ...lo.text.table_rows import TableRows as TableRows
from ...lo.text.template_display_format import TemplateDisplayFormat as TemplateDisplayFormat
from ...lo.text.text import Text as Text
from ...lo.text.text_column import TextColumn as TextColumn
from ...lo.text.text_column_sequence import TextColumnSequence as TextColumnSequence
from ...lo.text.text_columns import TextColumns as TextColumns
from ...lo.text.text_content import TextContent as TextContent
from ...lo.text.text_content_anchor_type import TextContentAnchorType as TextContentAnchorType
from ...lo.text.text_content_collection import TextContentCollection as TextContentCollection
from ...lo.text.text_cursor import TextCursor as TextCursor
from ...lo.text.text_document import TextDocument as TextDocument
from ...lo.text.text_document_view import TextDocumentView as TextDocumentView
from ...lo.text.text_embedded_object import TextEmbeddedObject as TextEmbeddedObject
from ...lo.text.text_embedded_objects import TextEmbeddedObjects as TextEmbeddedObjects
from ...lo.text.text_field import TextField as TextField
from ...lo.text.text_field_enumeration import TextFieldEnumeration as TextFieldEnumeration
from ...lo.text.text_field_master import TextFieldMaster as TextFieldMaster
from ...lo.text.text_field_masters import TextFieldMasters as TextFieldMasters
from ...lo.text.text_fields import TextFields as TextFields
from ...lo.text.text_frame import TextFrame as TextFrame
from ...lo.text.text_frames import TextFrames as TextFrames
from ...lo.text.text_graphic_object import TextGraphicObject as TextGraphicObject
from ...lo.text.text_graphic_objects import TextGraphicObjects as TextGraphicObjects
from ...lo.text.text_grid_mode import TextGridMode as TextGridMode
from ...lo.text.text_layout_cursor import TextLayoutCursor as TextLayoutCursor
from ...lo.text.text_markup_descriptor import TextMarkupDescriptor as TextMarkupDescriptor
from ...lo.text.text_markup_type import TextMarkupType as TextMarkupType
from ...lo.text.text_page_style import TextPageStyle as TextPageStyle
from ...lo.text.text_portion import TextPortion as TextPortion
from ...lo.text.text_portion_enumeration import TextPortionEnumeration as TextPortionEnumeration
from ...lo.text.text_position import TextPosition as TextPosition
from ...lo.text.text_range import TextRange as TextRange
from ...lo.text.text_range_content_properties import TextRangeContentProperties as TextRangeContentProperties
from ...lo.text.text_range_selection import TextRangeSelection as TextRangeSelection
from ...lo.text.text_ranges import TextRanges as TextRanges
from ...lo.text.text_section import TextSection as TextSection
from ...lo.text.text_sections import TextSections as TextSections
from ...lo.text.text_sort_descriptor import TextSortDescriptor as TextSortDescriptor
from ...lo.text.text_sort_descriptor2 import TextSortDescriptor2 as TextSortDescriptor2
from ...lo.text.text_sortable import TextSortable as TextSortable
from ...lo.text.text_table import TextTable as TextTable
from ...lo.text.text_table_cursor import TextTableCursor as TextTableCursor
from ...lo.text.text_table_row import TextTableRow as TextTableRow
from ...lo.text.text_tables import TextTables as TextTables
from ...lo.text.text_view_cursor import TextViewCursor as TextViewCursor
from ...lo.text.time_display_format import TimeDisplayFormat as TimeDisplayFormat
from ...lo.text.user_data_part import UserDataPart as UserDataPart
from ...lo.text.user_defined_index import UserDefinedIndex as UserDefinedIndex
from ...lo.text.user_field_format import UserFieldFormat as UserFieldFormat
from ...lo.text.user_index import UserIndex as UserIndex
from ...lo.text.user_index_mark import UserIndexMark as UserIndexMark
from ...lo.text.vert_orientation import VertOrientation as VertOrientation
from ...lo.text.vert_orientation_format import VertOrientationFormat as VertOrientationFormat
from ...lo.text.view_settings import ViewSettings as ViewSettings
from ...lo.text.web_document import WebDocument as WebDocument
from ...lo.text.wrap_influence_on_position import WrapInfluenceOnPosition as WrapInfluenceOnPosition
from ...lo.text.wrap_text_mode import WrapTextMode as WrapTextMode
from ...lo.text.writing_mode import WritingMode as WritingMode
from ...lo.text.writing_mode2 import WritingMode2 as WritingMode2
from ...lo.text.x_auto_text_container import XAutoTextContainer as XAutoTextContainer
from ...lo.text.x_auto_text_container2 import XAutoTextContainer2 as XAutoTextContainer2
from ...lo.text.x_auto_text_entry import XAutoTextEntry as XAutoTextEntry
from ...lo.text.x_auto_text_group import XAutoTextGroup as XAutoTextGroup
from ...lo.text.x_bookmark_insert_tool import XBookmarkInsertTool as XBookmarkInsertTool
from ...lo.text.x_bookmarks_supplier import XBookmarksSupplier as XBookmarksSupplier
from ...lo.text.x_chapter_numbering_supplier import XChapterNumberingSupplier as XChapterNumberingSupplier
from ...lo.text.x_default_numbering_provider import XDefaultNumberingProvider as XDefaultNumberingProvider
from ...lo.text.x_dependent_text_field import XDependentTextField as XDependentTextField
from ...lo.text.x_document_index import XDocumentIndex as XDocumentIndex
from ...lo.text.x_document_index_mark import XDocumentIndexMark as XDocumentIndexMark
from ...lo.text.x_document_indexes_supplier import XDocumentIndexesSupplier as XDocumentIndexesSupplier
from ...lo.text.x_endnotes_settings_supplier import XEndnotesSettingsSupplier as XEndnotesSettingsSupplier
from ...lo.text.x_endnotes_supplier import XEndnotesSupplier as XEndnotesSupplier
from ...lo.text.x_flat_paragraph import XFlatParagraph as XFlatParagraph
from ...lo.text.x_flat_paragraph_iterator import XFlatParagraphIterator as XFlatParagraphIterator
from ...lo.text.x_flat_paragraph_iterator_provider import XFlatParagraphIteratorProvider as XFlatParagraphIteratorProvider
from ...lo.text.x_footnote import XFootnote as XFootnote
from ...lo.text.x_footnotes_settings_supplier import XFootnotesSettingsSupplier as XFootnotesSettingsSupplier
from ...lo.text.x_footnotes_supplier import XFootnotesSupplier as XFootnotesSupplier
from ...lo.text.x_form_field import XFormField as XFormField
from ...lo.text.x_line_numbering_properties import XLineNumberingProperties as XLineNumberingProperties
from ...lo.text.x_mail_merge_broadcaster import XMailMergeBroadcaster as XMailMergeBroadcaster
from ...lo.text.x_mail_merge_listener import XMailMergeListener as XMailMergeListener
from ...lo.text.x_marking_access import XMarkingAccess as XMarkingAccess
from ...lo.text.x_multi_text_markup import XMultiTextMarkup as XMultiTextMarkup
from ...lo.text.x_numbering_formatter import XNumberingFormatter as XNumberingFormatter
from ...lo.text.x_numbering_rules_supplier import XNumberingRulesSupplier as XNumberingRulesSupplier
from ...lo.text.x_numbering_type_info import XNumberingTypeInfo as XNumberingTypeInfo
from ...lo.text.x_page_cursor import XPageCursor as XPageCursor
from ...lo.text.x_page_printable import XPagePrintable as XPagePrintable
from ...lo.text.x_paragraph_append import XParagraphAppend as XParagraphAppend
from ...lo.text.x_paragraph_cursor import XParagraphCursor as XParagraphCursor
from ...lo.text.x_paste_broadcaster import XPasteBroadcaster as XPasteBroadcaster
from ...lo.text.x_paste_listener import XPasteListener as XPasteListener
from ...lo.text.x_redline import XRedline as XRedline
from ...lo.text.x_reference_marks_supplier import XReferenceMarksSupplier as XReferenceMarksSupplier
from ...lo.text.x_relative_text_content_insert import XRelativeTextContentInsert as XRelativeTextContentInsert
from ...lo.text.x_relative_text_content_remove import XRelativeTextContentRemove as XRelativeTextContentRemove
from ...lo.text.x_ruby_selection import XRubySelection as XRubySelection
from ...lo.text.x_sentence_cursor import XSentenceCursor as XSentenceCursor
from ...lo.text.x_simple_text import XSimpleText as XSimpleText
from ...lo.text.x_text import XText as XText
from ...lo.text.x_text_append import XTextAppend as XTextAppend
from ...lo.text.x_text_append_and_convert import XTextAppendAndConvert as XTextAppendAndConvert
from ...lo.text.x_text_columns import XTextColumns as XTextColumns
from ...lo.text.x_text_content import XTextContent as XTextContent
from ...lo.text.x_text_content_append import XTextContentAppend as XTextContentAppend
from ...lo.text.x_text_convert import XTextConvert as XTextConvert
from ...lo.text.x_text_copy import XTextCopy as XTextCopy
from ...lo.text.x_text_cursor import XTextCursor as XTextCursor
from ...lo.text.x_text_document import XTextDocument as XTextDocument
from ...lo.text.x_text_embedded_objects_supplier import XTextEmbeddedObjectsSupplier as XTextEmbeddedObjectsSupplier
from ...lo.text.x_text_field import XTextField as XTextField
from ...lo.text.x_text_fields_supplier import XTextFieldsSupplier as XTextFieldsSupplier
from ...lo.text.x_text_frame import XTextFrame as XTextFrame
from ...lo.text.x_text_frames_supplier import XTextFramesSupplier as XTextFramesSupplier
from ...lo.text.x_text_graphic_objects_supplier import XTextGraphicObjectsSupplier as XTextGraphicObjectsSupplier
from ...lo.text.x_text_markup import XTextMarkup as XTextMarkup
from ...lo.text.x_text_portion_append import XTextPortionAppend as XTextPortionAppend
from ...lo.text.x_text_range import XTextRange as XTextRange
from ...lo.text.x_text_range_compare import XTextRangeCompare as XTextRangeCompare
from ...lo.text.x_text_range_mover import XTextRangeMover as XTextRangeMover
from ...lo.text.x_text_section import XTextSection as XTextSection
from ...lo.text.x_text_sections_supplier import XTextSectionsSupplier as XTextSectionsSupplier
from ...lo.text.x_text_shapes_supplier import XTextShapesSupplier as XTextShapesSupplier
from ...lo.text.x_text_table import XTextTable as XTextTable
from ...lo.text.x_text_table_cursor import XTextTableCursor as XTextTableCursor
from ...lo.text.x_text_tables_supplier import XTextTablesSupplier as XTextTablesSupplier
from ...lo.text.x_text_view_cursor import XTextViewCursor as XTextViewCursor
from ...lo.text.x_text_view_cursor_supplier import XTextViewCursorSupplier as XTextViewCursorSupplier
from ...lo.text.x_text_view_text_range_supplier import XTextViewTextRangeSupplier as XTextViewTextRangeSupplier
from ...lo.text.x_word_cursor import XWordCursor as XWordCursor
