# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.animations
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class AnimationTransformType(metaclass=UnoConstMeta, type_name="com.sun.star.animations.AnimationTransformType", name_space="com.sun.star.animations"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.animations.AnimationTransformType``"""
        pass

    class AnimationTransformTypeEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.animations.AnimationTransformType", name_space="com.sun.star.animations"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.animations.AnimationTransformType`` as Enum values"""
        pass

else:
    from ...lo.animations.animation_transform_type import AnimationTransformType as AnimationTransformType

    class AnimationTransformTypeEnum(IntEnum):
        """
        Enum of Const Class AnimationTransformType

        Specifies the transformation type for an XAnimateTransform.
        """
        TRANSLATE = AnimationTransformType.TRANSLATE
        """
        defines a translation
        """
        SCALE = AnimationTransformType.SCALE
        """
        defines a scale
        """
        ROTATE = AnimationTransformType.ROTATE
        """
        defines a rotation
        """
        SKEWX = AnimationTransformType.SKEWX
        """
        defines a skew transformation for x-axis
        """
        SKEWY = AnimationTransformType.SKEWY
        """
        defines a skew transformation for y-axis
        """

__all__ = ['AnimationTransformType', 'AnimationTransformTypeEnum']
