# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.animations
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class TransitionType(metaclass=UnoConstMeta, type_name="com.sun.star.animations.TransitionType", name_space="com.sun.star.animations"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.animations.TransitionType``"""
        pass

    class TransitionTypeEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.animations.TransitionType", name_space="com.sun.star.animations"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.animations.TransitionType`` as Enum values"""
        pass

else:
    from ...lo.animations.transition_type import TransitionType as TransitionType

    class TransitionTypeEnum(IntEnum):
        """
        Enum of Const Class TransitionType

        """
        BARWIPE = TransitionType.BARWIPE
        BOXWIPE = TransitionType.BOXWIPE
        FOURBOXWIPE = TransitionType.FOURBOXWIPE
        BARNDOORWIPE = TransitionType.BARNDOORWIPE
        DIAGONALWIPE = TransitionType.DIAGONALWIPE
        BOWTIEWIPE = TransitionType.BOWTIEWIPE
        MISCDIAGONALWIPE = TransitionType.MISCDIAGONALWIPE
        VEEWIPE = TransitionType.VEEWIPE
        BARNVEEWIPE = TransitionType.BARNVEEWIPE
        ZIGZAGWIPE = TransitionType.ZIGZAGWIPE
        BARNZIGZAGWIPE = TransitionType.BARNZIGZAGWIPE
        IRISWIPE = TransitionType.IRISWIPE
        TRIANGLEWIPE = TransitionType.TRIANGLEWIPE
        ARROWHEADWIPE = TransitionType.ARROWHEADWIPE
        PENTAGONWIPE = TransitionType.PENTAGONWIPE
        HEXAGONWIPE = TransitionType.HEXAGONWIPE
        ELLIPSEWIPE = TransitionType.ELLIPSEWIPE
        EYEWIPE = TransitionType.EYEWIPE
        ROUNDRECTWIPE = TransitionType.ROUNDRECTWIPE
        STARWIPE = TransitionType.STARWIPE
        MISCSHAPEWIPE = TransitionType.MISCSHAPEWIPE
        CLOCKWIPE = TransitionType.CLOCKWIPE
        PINWHEELWIPE = TransitionType.PINWHEELWIPE
        SINGLESWEEPWIPE = TransitionType.SINGLESWEEPWIPE
        FANWIPE = TransitionType.FANWIPE
        DOUBLEFANWIPE = TransitionType.DOUBLEFANWIPE
        DOUBLESWEEPWIPE = TransitionType.DOUBLESWEEPWIPE
        SALOONDOORWIPE = TransitionType.SALOONDOORWIPE
        WINDSHIELDWIPE = TransitionType.WINDSHIELDWIPE
        SNAKEWIPE = TransitionType.SNAKEWIPE
        SPIRALWIPE = TransitionType.SPIRALWIPE
        PARALLELSNAKESWIPE = TransitionType.PARALLELSNAKESWIPE
        BOXSNAKESWIPE = TransitionType.BOXSNAKESWIPE
        WATERFALLWIPE = TransitionType.WATERFALLWIPE
        PUSHWIPE = TransitionType.PUSHWIPE
        SLIDEWIPE = TransitionType.SLIDEWIPE
        FADE = TransitionType.FADE
        RANDOMBARWIPE = TransitionType.RANDOMBARWIPE
        CHECKERBOARDWIPE = TransitionType.CHECKERBOARDWIPE
        DISSOLVE = TransitionType.DISSOLVE
        BLINDSWIPE = TransitionType.BLINDSWIPE
        RANDOM = TransitionType.RANDOM
        ZOOM = TransitionType.ZOOM

__all__ = ['TransitionType', 'TransitionTypeEnum']
