# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.i18n
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class ScriptDirection(metaclass=UnoConstMeta, type_name="com.sun.star.i18n.ScriptDirection", name_space="com.sun.star.i18n"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.i18n.ScriptDirection``"""
        pass

    class ScriptDirectionEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.i18n.ScriptDirection", name_space="com.sun.star.i18n"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.i18n.ScriptDirection`` as Enum values"""
        pass

else:
    from ...lo.i18n.script_direction import ScriptDirection as ScriptDirection

    class ScriptDirectionEnum(IntEnum):
        """
        Enum of Const Class ScriptDirection

        Script direction constants to use with XScriptTypeDetector methods.
        
        **since**
        
            OOo 1.1.2
        """
        NEUTRAL = ScriptDirection.NEUTRAL
        """
        Script direction is neutral.
        """
        LEFT_TO_RIGHT = ScriptDirection.LEFT_TO_RIGHT
        """
        Script direction is left to right.
        """
        RIGHT_TO_LEFT = ScriptDirection.RIGHT_TO_LEFT
        """
        Script direction is right to left.
        """

__all__ = ['ScriptDirection', 'ScriptDirectionEnum']
