# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.sheet
from enum import IntFlag
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class MemberResultFlags(metaclass=UnoConstMeta, type_name="com.sun.star.sheet.MemberResultFlags", name_space="com.sun.star.sheet"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.sheet.MemberResultFlags``"""
        pass

    class MemberResultFlagsEnum(IntFlag, metaclass=ConstEnumMeta, type_name="com.sun.star.sheet.MemberResultFlags", name_space="com.sun.star.sheet"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.sheet.MemberResultFlags`` as Enum values"""
        pass

else:
    from ...lo.sheet.member_result_flags import MemberResultFlags as MemberResultFlags

    class MemberResultFlagsEnum(IntFlag):
        """
        Enum of Const Class MemberResultFlags

        used to give information about elements in data pilot member results.
        """
        HASMEMBER = MemberResultFlags.HASMEMBER
        """
        The element contains a member.
        """
        SUBTOTAL = MemberResultFlags.SUBTOTAL
        """
        The element contains a subtotal.
        """
        CONTINUE = MemberResultFlags.CONTINUE
        """
        The element is a continuation of the previous one.
        """
        GRANDTOTAL = MemberResultFlags.GRANDTOTAL
        """
        The element contains a grand total.
        """
        NUMERIC = MemberResultFlags.NUMERIC
        """
        The element is a numeric value.
        """

__all__ = ['MemberResultFlags', 'MemberResultFlagsEnum']
