# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.sheet
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class MoveDirection(metaclass=UnoConstMeta, type_name="com.sun.star.sheet.MoveDirection", name_space="com.sun.star.sheet"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.sheet.MoveDirection``"""
        pass

    class MoveDirectionEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.sheet.MoveDirection", name_space="com.sun.star.sheet"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.sheet.MoveDirection`` as Enum values"""
        pass

else:
    from ...lo.sheet.move_direction import MoveDirection as MoveDirection

    class MoveDirectionEnum(IntEnum):
        """
        Enum of Const Class MoveDirection

        used to specify the direction of moving the current selection i.e.
        
        after a cell has been left with Enter.
        """
        DOWN = MoveDirection.DOWN
        """
        specifies that the selection moves one cell down.
        """
        RIGHT = MoveDirection.RIGHT
        """
        specifies that the selection moves one cell right.
        """
        UP = MoveDirection.UP
        """
        specifies that the selection moves one cell up.
        """
        LEFT = MoveDirection.LEFT
        """
        specifies that the selection moves one cell left.
        """

__all__ = ['MoveDirection', 'MoveDirectionEnum']
