# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.style
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class LineNumberPosition(metaclass=UnoConstMeta, type_name="com.sun.star.style.LineNumberPosition", name_space="com.sun.star.style"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.style.LineNumberPosition``"""
        pass

    class LineNumberPositionEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.style.LineNumberPosition", name_space="com.sun.star.style"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.style.LineNumberPosition`` as Enum values"""
        pass

else:
    from ...lo.style.line_number_position import LineNumberPosition as LineNumberPosition

    class LineNumberPositionEnum(IntEnum):
        """
        Enum of Const Class LineNumberPosition

        These constants are used to specify the position of the numbering of lines.
        """
        LEFT = LineNumberPosition.LEFT
        """
        the number occurs on the left side of the pages.
        """
        RIGHT = LineNumberPosition.RIGHT
        """
        the number occurs on the right side of the pages.
        """
        INSIDE = LineNumberPosition.INSIDE
        """
        the number occurs alternating on the inner side of the pages.
        """
        OUTSIDE = LineNumberPosition.OUTSIDE
        """
        the number occurs alternating on the outside side of the pages.
        """

__all__ = ['LineNumberPosition', 'LineNumberPositionEnum']
