# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class PlaceholderType(metaclass=UnoConstMeta, type_name="com.sun.star.text.PlaceholderType", name_space="com.sun.star.text"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.text.PlaceholderType``"""
        pass

    class PlaceholderTypeEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.text.PlaceholderType", name_space="com.sun.star.text"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.text.PlaceholderType`` as Enum values"""
        pass

else:
    from ...lo.text.placeholder_type import PlaceholderType as PlaceholderType

    class PlaceholderTypeEnum(IntEnum):
        """
        Enum of Const Class PlaceholderType

        These constants define how the place-holder text fields act in a document.
        """
        TEXT = PlaceholderType.TEXT
        """
        The field represents a piece of text.
        """
        TABLE = PlaceholderType.TABLE
        """
        The field initiates the insertion of a text table.
        """
        TEXTFRAME = PlaceholderType.TEXTFRAME
        """
        The field initiates the insertion of a text frame.
        """
        GRAPHIC = PlaceholderType.GRAPHIC
        """
        The field initiates the insertion of a graphic object.
        """
        OBJECT = PlaceholderType.OBJECT
        """
        The field initiates the insertion of an embedded object.
        """

__all__ = ['PlaceholderType', 'PlaceholderTypeEnum']
