# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.ucb
from enum import IntEnum
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME

_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoConstMeta, ConstEnumMeta

    class NameClash(metaclass=UnoConstMeta, type_name="com.sun.star.ucb.NameClash", name_space="com.sun.star.ucb"):
        """Dynamic Class. Contains all the constant values of ``com.sun.star.ucb.NameClash``"""
        pass

    class NameClashEnum(IntEnum, metaclass=ConstEnumMeta, type_name="com.sun.star.ucb.NameClash", name_space="com.sun.star.ucb"):
        """Dynamic Enum. Contains all the constant values of ``com.sun.star.ucb.NameClash`` as Enum values"""
        pass

else:
    from ...lo.ucb.name_clash import NameClash as NameClash

    class NameClashEnum(IntEnum):
        """
        Enum of Const Class NameClash

        These are the possible values for TransferInfo.NameClash.
        """
        ERROR = NameClash.ERROR
        """
        Means to set an error and cancel the operation.
        """
        OVERWRITE = NameClash.OVERWRITE
        """
        Means to overwrite the object in the target folder with the object to transfer.
        """
        RENAME = NameClash.RENAME
        """
        Means to rename the object to transfer to solve the clash.
        
        The implementation needs to supply and set a suitable new name.
        """
        KEEP = NameClash.KEEP
        """
        Deprecated.
        
        Do not use!
        """
        ASK = NameClash.ASK
        """
        Means to use a NameClashResolveRequest in order to solve the name clash.
        """

__all__ = ['NameClash', 'NameClashEnum']
