# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.awt


class FontFamily(object):
    """
    Const Class

    These values are used to specify the general kind of font.
    
    They may be expanded in future versions.

    See Also:
        `API FontFamily <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1awt_1_1FontFamily.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.awt'
    __ooo_full_ns__: str = 'com.sun.star.awt.FontFamily'
    __ooo_type_name__: str = 'const'

    DONTKNOW = 0
    """
    specifies an unknown font family.
    """
    DECORATIVE = 1
    """
    specifies the family of decorative fonts.
    """
    MODERN = 2
    """
    specifies the family of modern fonts.
    """
    ROMAN = 3
    """
    specifies the family roman fonts (with serifs).
    """
    SCRIPT = 4
    """
    specifies the family of script fonts.
    """
    SWISS = 5
    """
    specifies the family roman fonts (without serifs).
    """
    SYSTEM = 6
    """
    specifies the family system fonts.
    """

__all__ = ['FontFamily']
