# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.beans
from abc import abstractmethod
from ..uno.x_interface import XInterface as XInterface_8f010a43

class XExactName(XInterface_8f010a43):
    """
    provides a method of changing names for converting an approximate name to an existing name.
    
    One field of application is the conversion of case-insensitive names to the existing names.
    
    Example: A basic interpreter ignores the case of the names. So it must query the XExactName interface and then call the method.

    See Also:
        `API XExactName <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1beans_1_1XExactName.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.beans'
    __ooo_full_ns__: str = 'com.sun.star.beans.XExactName'
    __ooo_type_name__: str = 'interface'
    __pyunointerface__: str = 'com.sun.star.beans.XExactName'

    @abstractmethod
    def getExactName(self, aApproximateName: str) -> str:
        """
        For example \"getExactName\" could be returned for \"GETEXACTNAME\" when \"GETEXACTNAME\" was used by a case insensitive scripting language.
        """
        ...

__all__ = ['XExactName']

