# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart
# Libre Office Version: 7.4
from enum import Enum


class ChartRegressionCurveType(Enum):
    """
    Enum Class

    

    See Also:
        `API ChartRegressionCurveType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart.html#a00d1bb45d8b0a2aac5e07cde2f18302b>`_
    """
    __ooo_ns__: str = 'com.sun.star.chart'
    __ooo_full_ns__: str = 'com.sun.star.chart.ChartRegressionCurveType'
    __ooo_type_name__: str = 'enum'

    @property
    def typeName(self) -> str:
        return 'com.sun.star.chart.ChartRegressionCurveType'

    EXPONENTIAL = 'EXPONENTIAL'
    """
    displays an exponential regression curve.
    """
    LINEAR = 'LINEAR'
    """
    displays a linear regression curve.
    """
    LOGARITHM = 'LOGARITHM'
    """
    displays a linear logarithmic regression curve.
    """
    NONE = 'NONE'
    """
    error indicators are not displayed.
    
    displays no regression curve.
    
    no chart legend is displayed.
    
    displays no error indicators.
    """
    POLYNOMIAL = 'POLYNOMIAL'
    """
    displays a polynomial regression curve.
    """
    POWER = 'POWER'
    """
    displays a regression curve using a power function.
    
    displays a moving average regression curve.
    """

__all__ = ['ChartRegressionCurveType']

