# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.datatransfer.dnd


class DNDConstants(object):
    """
    Const Class

    These values represent the type of action or actions to be performed by a Drag and Drop operation.

    See Also:
        `API DNDConstants <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1datatransfer_1_1dnd_1_1DNDConstants.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.datatransfer.dnd'
    __ooo_full_ns__: str = 'com.sun.star.datatransfer.dnd.DNDConstants'
    __ooo_type_name__: str = 'const'

    ACTION_NONE = 0
    """
    No action.
    """
    ACTION_COPY = 1
    """
    Action copy.
    """
    ACTION_MOVE = 2
    """
    Action move.
    """
    ACTION_COPY_OR_MOVE = 3
    """
    Action copy or move.
    """
    ACTION_LINK = 4
    """
    Action link.
    """
    ACTION_REFERENCE = 4
    """
    Action reference.
    """
    ACTION_DEFAULT = -128
    """
    Action default.
    """

__all__ = ['DNDConstants']
