# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Exception Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.document
# Libre Office Version: 7.4
from ooo.oenv.env_const import UNO_NONE
import typing
from ..uno.exception import Exception as Exception_85530a09
from ..uno.x_interface import XInterface as XInterface_8f010a43

class BrokenPackageRequest(Exception_85530a09):
    """
    Exception Class

    Is used for interaction handle in case package is broken.
    
    **since**
    
        OOo 1.1.2

    See Also:
        `API BrokenPackageRequest <https://api.libreoffice.org/docs/idl/ref/exceptioncom_1_1sun_1_1star_1_1document_1_1BrokenPackageRequest.html>`_
    """

    __ooo_ns__: str = 'com.sun.star.document'
    __ooo_full_ns__: str = 'com.sun.star.document.BrokenPackageRequest'
    __ooo_type_name__: str = 'exception'
    __pyunointerface__: str = 'com.sun.star.document.BrokenPackageRequest'
    __pyunostruct__: str = 'com.sun.star.document.BrokenPackageRequest'

    typeName: str = 'com.sun.star.document.BrokenPackageRequest'
    """Literal Constant ``com.sun.star.document.BrokenPackageRequest``"""

    def __init__(self, Message: typing.Optional[str] = '', Context: typing.Optional[XInterface_8f010a43] = None, aName: typing.Optional[str] = '') -> None:
        """
        Constructor

        Arguments:
            Message (str, optional): Message value.
            Context (XInterface, optional): Context value.
            aName (str, optional): aName value.
        """
        kargs = {
            "Message": Message,
            "Context": Context,
            "aName": aName,
        }
        self._init(**kargs)

    def _init(self, **kwargs) -> None:
        self._a_name = kwargs["aName"]
        inst_keys = ('aName',)
        kargs = kwargs.copy()
        for key in inst_keys:
            del kargs[key]
        super()._init(**kargs)

    @property
    def aName(self) -> str:
        """
        The name of the document that is broken.
        """
        return self._a_name
    
    @aName.setter
    def aName(self, value: str) -> None:
        self._a_name = value


__all__ = ['BrokenPackageRequest']

