# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.document
from abc import abstractmethod
from ..uno.x_interface import XInterface as XInterface_8f010a43

class XGraphicObjectResolver(XInterface_8f010a43):
    """
    this interface converts graphic object URLs from one URL space to another.
    
    .. deprecated::
    
        Class is deprecated.

    See Also:
        `API XGraphicObjectResolver <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1document_1_1XGraphicObjectResolver.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.document'
    __ooo_full_ns__: str = 'com.sun.star.document.XGraphicObjectResolver'
    __ooo_type_name__: str = 'interface'
    __pyunointerface__: str = 'com.sun.star.document.XGraphicObjectResolver'

    @abstractmethod
    def resolveGraphicObjectURL(self, aURL: str) -> str:
        """
        converts the given URL from the source URL namespace to the destination URL space of this instance.
        """
        ...

__all__ = ['XGraphicObjectResolver']

