# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.drawing
from abc import abstractmethod
from .x_slide_renderer import XSlideRenderer as XSlideRenderer_efc90d74

class SlideRenderer(XSlideRenderer_efc90d74):
    """
    Service Class

    Create preview bitmaps for single slides.

    See Also:
        `API SlideRenderer <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1drawing_1_1SlideRenderer.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.drawing'
    __ooo_full_ns__: str = 'com.sun.star.drawing.SlideRenderer'
    __ooo_type_name__: str = 'service'

    @abstractmethod
    def create(self) -> None:
        """
        Create a new SlideRenderer object.
        """
        ...

__all__ = ['SlideRenderer']

