# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.graphic


class GraphicType(object):
    """
    Const Class

    Constants that describe the type of graphic.

    See Also:
        `API GraphicType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1graphic_1_1GraphicType.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.graphic'
    __ooo_full_ns__: str = 'com.sun.star.graphic.GraphicType'
    __ooo_type_name__: str = 'const'

    EMPTY = 0
    """
    Graphic is empty.
    """
    PIXEL = 1
    """
    Graphic is represented through single pixels.
    """
    VECTOR = 2
    """
    Graphic is represented through vectors.
    """

__all__ = ['GraphicType']
