# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Exception Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.lang
# Libre Office Version: 7.4
from ooo.oenv.env_const import UNO_NONE
import typing
from ..uno.runtime_exception import RuntimeException as RuntimeException_d7390ced
from ..uno.x_interface import XInterface as XInterface_8f010a43

class IllegalArgumentException(RuntimeException_d7390ced):
    """
    Exception Class

    This exception is thrown to indicate that a method has passed an illegal or inappropriate argument.

    See Also:
        `API IllegalArgumentException <https://api.libreoffice.org/docs/idl/ref/exceptioncom_1_1sun_1_1star_1_1lang_1_1IllegalArgumentException.html>`_
    """

    __ooo_ns__: str = 'com.sun.star.lang'
    __ooo_full_ns__: str = 'com.sun.star.lang.IllegalArgumentException'
    __ooo_type_name__: str = 'exception'
    __pyunointerface__: str = 'com.sun.star.lang.IllegalArgumentException'
    __pyunostruct__: str = 'com.sun.star.lang.IllegalArgumentException'

    typeName: str = 'com.sun.star.lang.IllegalArgumentException'
    """Literal Constant ``com.sun.star.lang.IllegalArgumentException``"""

    def __init__(self, Message: typing.Optional[str] = '', Context: typing.Optional[XInterface_8f010a43] = None, ArgumentPosition: typing.Optional[int] = 0) -> None:
        """
        Constructor

        Arguments:
            Message (str, optional): Message value.
            Context (XInterface, optional): Context value.
            ArgumentPosition (int, optional): ArgumentPosition value.
        """
        kargs = {
            "Message": Message,
            "Context": Context,
            "ArgumentPosition": ArgumentPosition,
        }
        self._init(**kargs)

    def _init(self, **kwargs) -> None:
        self._argument_position = kwargs["ArgumentPosition"]
        inst_keys = ('ArgumentPosition',)
        kargs = kwargs.copy()
        for key in inst_keys:
            del kargs[key]
        super()._init(**kargs)

    @property
    def ArgumentPosition(self) -> int:
        """
        identifies the position of the illegal argument.
        
        This field is -1 if the position is not known.
        """
        return self._argument_position
    
    @ArgumentPosition.setter
    def ArgumentPosition(self, value: int) -> None:
        self._argument_position = value


__all__ = ['IllegalArgumentException']

