# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Struct Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.script
# Libre Office Version: 7.4
from ooo.oenv.env_const import UNO_NONE
import typing


class NativeObjectWrapper(object):
    """
    Struct Class


    See Also:
        `API NativeObjectWrapper <https://api.libreoffice.org/docs/idl/ref/structcom_1_1sun_1_1star_1_1script_1_1NativeObjectWrapper.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.script'
    __ooo_full_ns__: str = 'com.sun.star.script.NativeObjectWrapper'
    __ooo_type_name__: str = 'struct'
    typeName: str = 'com.sun.star.script.NativeObjectWrapper'
    """Literal Constant ``com.sun.star.script.NativeObjectWrapper``"""

    def __init__(self, ObjectId: typing.Optional[object] = None) -> None:
        """
        Constructor

        Arguments:
            ObjectId (object, optional): ObjectId value.
        """
        super().__init__()

        if isinstance(ObjectId, NativeObjectWrapper):
            oth: NativeObjectWrapper = ObjectId
            self.ObjectId = oth.ObjectId
            return

        kargs = {
            "ObjectId": ObjectId,
        }
        self._init(**kargs)

    def _init(self, **kwargs) -> None:
        self._object_id = kwargs["ObjectId"]


    @property
    def ObjectId(self) -> object:
        return self._object_id

    @ObjectId.setter
    def ObjectId(self, value: object) -> None:
        self._object_id = value


__all__ = ['NativeObjectWrapper']
