# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.table


class CellVertJustify2(object):
    """
    Const Class

    specifies how cell contents are aligned vertically.

    See Also:
        `API CellVertJustify2 <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1table_1_1CellVertJustify2.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.table'
    __ooo_full_ns__: str = 'com.sun.star.table.CellVertJustify2'
    __ooo_type_name__: str = 'const'

    STANDARD = 0
    """
    default alignment is used.
    """
    TOP = 1
    """
    contents are aligned with the upper edge of the cell.
    """
    CENTER = 2
    """
    contents are aligned to the vertical middle of the cell.
    """
    BOTTOM = 3
    """
    contents are aligned to the lower edge of the cell.
    """
    BLOCK = 4
    """
    contents are justified to the cell height.
    """

__all__ = ['CellVertJustify2']
