# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text


class FilenameDisplayFormat(object):
    """
    Const Class

    These constants are used to specify which parts of a URL are displayed in a field.

    See Also:
        `API FilenameDisplayFormat <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text_1_1FilenameDisplayFormat.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.text'
    __ooo_full_ns__: str = 'com.sun.star.text.FilenameDisplayFormat'
    __ooo_type_name__: str = 'const'

    FULL = 0
    """
    The content of the URL is completely displayed.
    """
    PATH = 1
    """
    Only the path of the file is displayed.
    """
    NAME = 2
    """
    Only the name of the file without the file extension is displayed.
    """
    NAME_AND_EXT = 3
    """
    The file name including the file extension is displayed.
    """

__all__ = ['FilenameDisplayFormat']
