# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.text
# Libre Office Version: 7.4
from enum import Enum


class NotePrintMode(Enum):
    """
    Enum Class

    

    See Also:
        `API NotePrintMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text.html#a95d9f731f1389ee9f277e756b476251c>`_
    """
    __ooo_ns__: str = 'com.sun.star.text'
    __ooo_full_ns__: str = 'com.sun.star.text.NotePrintMode'
    __ooo_type_name__: str = 'enum'

    @property
    def typeName(self) -> str:
        return 'com.sun.star.text.NotePrintMode'

    DOC_END = 'DOC_END'
    """
    Notes are collected at the end of the document.
    """
    NOT = 'NOT'
    """
    Notes are not printed.
    """
    ONLY = 'ONLY'
    """
    Only notes are printed.
    """
    PAGE_END = 'PAGE_END'
    """
    Notes are collected at the end of a page and printed on an inserted page.
    """

__all__ = ['NotePrintMode']

