# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text


class ReferenceFieldSource(object):
    """
    Const Class

    These constants define the type of the source of a reference field.

    See Also:
        `API ReferenceFieldSource <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text_1_1ReferenceFieldSource.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.text'
    __ooo_full_ns__: str = 'com.sun.star.text.ReferenceFieldSource'
    __ooo_type_name__: str = 'const'

    REFERENCE_MARK = 0
    """
    The source is a reference mark.
    """
    SEQUENCE_FIELD = 1
    """
    The source is a number sequence field.
    """
    BOOKMARK = 2
    """
    The source is a bookmark.
    """
    FOOTNOTE = 3
    """
    The source is a footnote.
    """
    ENDNOTE = 4
    """
    The source is an endnote.
    """

__all__ = ['ReferenceFieldSource']
