# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.text.textfield


class Type(object):
    """
    Const Class

    Text field types.
    
    Right now this only contains the types that are supported by the edit engine, but it should eventually contain all field types that are used across all engines.
    
    **since**
    
        LibreOffice 3.6

    See Also:
        `API Type <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1text_1_1textfield_1_1Type.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.text.textfield'
    __ooo_full_ns__: str = 'com.sun.star.text.textfield.Type'
    __ooo_type_name__: str = 'const'

    UNSPECIFIED = -1
    DATE = 0
    URL = 1
    PAGE = 2
    PAGES = 3
    TIME = 4
    TABLE = 5
    EXTENDED_TIME = 6
    EXTENDED_FILE = 7
    AUTHOR = 8
    MEASURE = 9
    DOCINFO_TITLE = 10
    PRESENTATION_HEADER = 11
    PRESENTATION_FOOTER = 12
    PRESENTATION_DATE_TIME = 13
    PAGE_NAME = 14
    DOCINFO_CUSTOM = 15

__all__ = ['Type']
