# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Const Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.4
# Namespace: com.sun.star.xsd


class WhiteSpaceTreatment(object):
    """
    Const Class

    specifies possibilities how to treat whitespace in strings

    See Also:
        `API WhiteSpaceTreatment <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1xsd_1_1WhiteSpaceTreatment.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.xsd'
    __ooo_full_ns__: str = 'com.sun.star.xsd.WhiteSpaceTreatment'
    __ooo_type_name__: str = 'const'

    Preserve = 0
    """
    White spaces should be preserved when processing the string.
    """
    Replace = 1
    """
    White spaces should be replaced with TODO when processing the string.
    """
    Collapse = 2
    """
    Multiple successive white spaces should be collapsed to a single white space when processing the string.
    """

__all__ = ['WhiteSpaceTreatment']
